de.esprit.appsuite.winregistry

## Class WindowsRegistryRootNode

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.winregistry.WindowsRegistryNode
    - - de.esprit.appsuite.winregistry.WindowsRegistryRootNode

- All Implemented Interfaces:
    Dumpable, javax.swing.tree.TreeNode

      public final class WindowsRegistryRootNode
      extends WindowsRegistryNode

  This class represents the root node of the windows registry. Note that this is an artificial node which does not actually exist in the windows registry. It is used the top node in a JTree. It's children are the windows registry hive nodes.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsRegistryRootNode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WindowsRegistryNode` | `getChildByHive(WindowsRegistryHive hive)`
    `java.lang.String` | `getFullPath()`
    `WindowsRegistryHive` | `getHive()`
    `java.lang.String` | `getName()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `protected java.util.List<WindowsRegistryNode>` | `retrieveChildNodes()`

    - ### Methods inherited from class de.esprit.appsuite.winregistry.WindowsRegistryNode

      `children, createHiveNode, createNode, createRootNode, getAbsolutePath, getAllowsChildren, getChildAt, getChildByName, getChildCount, getChildList, getIndex, getParent, getPropertyValue, invalidate, isHive, isLeaf, isRoot, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsRegistryRootNode

          public WindowsRegistryRootNode()

  - ### Method Detail

    - #### getHive

          public WindowsRegistryHive getHive()

      Specified by:
        `getHive` in class `WindowsRegistryNode`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in class `WindowsRegistryNode`

    - #### getChildByHive

          public WindowsRegistryNode getChildByHive(WindowsRegistryHive hive)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.String> getProperties()

      Overrides:
        `getProperties` in class `WindowsRegistryNode`

    - #### getFullPath

          public java.lang.String getFullPath()

      Specified by:
        `getFullPath` in class `WindowsRegistryNode`

    - #### retrieveChildNodes

          protected java.util.List<WindowsRegistryNode> retrieveChildNodes()
                                                                    throws java.lang.Exception

      Overrides:
        `retrieveChildNodes` in class `WindowsRegistryNode`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.